#!/bin/sh

TMP_FILE="/etc/init.d/tmp"
START_FILE="/etc/init.d/S92startDreamkasSoftware"
INTERFACES_FILE="/etc/network/interfaces"
CHANGE_MAC_FILE="/FisGo/changeMacToCustom.sh"

#  Перенос MAC-адреса из $CHANGE_MAC_FILE в $INTERFACES_FILE
#=============================================================
if [ -f $CHANGE_MAC_FILE ]
then
    MAC=$(cat $CHANGE_MAC_FILE | grep ifconfig | awk '{print $5}')
    echo "hwaddress ether $MAC" >> $INTERFACES_FILE
    rm $CHANGE_MAC_FILE
fi
#=============================================================

# Создание необходимых символических ссылок для обновления
#=============================================================
ln -s /lib/libc.so.1 /lib/libc.so.0 >> /dev/null
ln -s /lib/libm.so.1 /lib/libm.so.0 >> /dev/null
#=============================================================
BURN_STM_LOG=/var/log/burn_stm.log
# Прошивка STM 
# Лог выводится в консоль и файл $BURN_STM_LOG
/FisGo/burn_stm.sh | tee $BURN_STM_LOG
